jy:
  # 是否启用验证码
  captchaOnOff: false

server:
  port: 8002

# 数据源配置
spring:
  datasource:
    dynamic:
      primary: master
      strict: true
      datasource:
        master:
          url: jdbc:mysql://rm-gw0i0555rlxx31n83.mysql.cn-chengdu.rds.aliyuncs.com:9642/jy_erp?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
          username: e4O5x_OTKr4w_hH
          password: cn0J5y3DsvdP1M-Y8AyD

  rabbitmq:
    port: 6774
    host: 127.0.0.1
    username: Jy_Shop_Erp_Admin
    password: ds7uRxs8nqt@77qqt7s
    #这个配置是保证提供者确保消息推送到交换机中，不管成不成功，都会回调
    publisher-confirm-type: correlated
    #保证交换机能把消息推送到队列中
    publisher-returns: true
    virtual-host: JyShopErpProd
    #这个配置是保证消费者会消费消息，手动确认
    listener:
      simple:
        acknowledge-mode: manual

  data:
    redis:
      # 地址
      host: 127.0.0.1
      # 端口，默认为6379
      port: 6874
      # 密码
      password: inU26s~RdLL@3xnbRcC8
      # 数据库索引
      database: 2